| Bsoft 2.0.5 Bernard's software package

Classes | Macros | Functions
rwMFF.h File Reference

Header file for reading and writing the What If MFF files. More...

`#include "rwimg.h"`

Go to the source code of this file.

## Classes
struct | MFFhead

## Macros
#define | MFFSIZE 268

## Functions
int | readMFF (Bimage *p, int readdata)
| Reading a MFF image format. More...
int | writeMFF (Bimage *p)
| Writeing a MFF image format. More...

## Detailed Description

Header file for reading and writing the What If MFF files.

Author
  Bernard Heymann

Date
  Created: 19990424
  Modified: 20111217

      Format: 3D crystallographic image file format for the program WHAT IF

Definition in file rwMFF.h.

## Macro Definition Documentation

## ◆ MFFSIZE

#define MFFSIZE 268

Definition at line 13 of file rwMFF.h.

## Function Documentation

## ◆ readMFF()

int readMFF | ( | Bimage * | p,
|  | int | readdata
| ) |  |

Reading a MFF image format.

Parameters

  *p | the image structure.
  readdata | flag to activate reading of image data.

Returns
  int error code (<0 means failure). A 3D file format developed with the What If molecular dynamics package. Header size: 268 bytes (fixed). File format extensions: .mff. Byte order determination: The third dimension must be less than 256*256. Data type: float. Special features: The MFF files are written with double integers separating different records by What If.

This was solved by adding "padding" fields in the header and adding 8 bytes to every page (= section) offset. The data is stored as 2D pages separated by 8 bytes.

Definition at line 32 of file rwMFF.cpp.

## ◆ writeMFF()

int writeMFF | ( | Bimage * | p | ) |

Writeing a MFF image format.

Parameters

  *p | the image structure.

Returns
  int error code (<0 means failure). A 3D file format developed with the What If molecular dynamics package.

Definition at line 104 of file rwMFF.cpp.